{% extends "admin_base.html" %}

{% block content %}



<div class="row">
    <div id="form">
        <div class="col-md-6">
            <form method="post">
                <div class="form-group">
                    Amount
                    <input step=".01"  name="amount" type="number" value="{{charge.amount}}"  class="form-control" id="amount">
                    Admin comment (Supply a reason for the charge change, note this is not visible to the client) 
                    <input required  name="admin_comment"  value="{{charge.comment}}" class="form-control" id="admin_comment">
                    Details (note this IS visible to the client) 
                    <input required  name="details"  value="{{charge.details}}" class="form-control" id="details">
                </div>
                <button style="width:100%; border: 2px solid #f4c535;" class="btn" type="submit" value="Submit">Save changes</button>
            </form>
        </div>
        <div class="col-md-6">

        
            <h1 class="titles">Additional info </h1>

                Peach eft ID
                <p>{{charge.eft_id}}</p>

                Peach CC ID
                <p>{{charge.peach_id}}</p>

                <p>
                        {% if charge.unit_name == 'Order' %}
                            <a  style="width:25%; border: 2px solid #f4c535;" class='btn' href="/orders/{{charge.unit_id}}">View Order</a><br>
                        {% elif charge.unit_name == "Delivery" %}
                            {{charge.unit_name}}
                        {% else %}
                            <a  style="width:25%; border: 2px solid #f4c535;" class='btn' href="/units/{{charge.unit_id}}">View Unit</a><br>
                        {% endif %}
                </p>
                Owner
                <p>  
                    <a  style="width:25%; border: 2px solid #f4c535;" class='btn' href="/users/{{charge.owner_id}}">View Owner</a><br>

                </p>

                Status
                {% if charge.status == 'PAID' %}

                <p style="color:green; font-size: 20px;"><span   class="glyphicon glyphicon-ok"></span> PAID</p>   


                {% elif charge.status == 'CANCELLED' %}
                <p style="color:orange; font-size: 20px;"><span  class="glyphicon glyphicon-minus"></span> CANCELLED</p>   

                {% else %}
                <p style="color:red; font-size: 20px;"><span  class="glyphicon glyphicon-remove"></span> UNPAID</p>  
                {% endif %}
       
        </div>



    </div>
</div>





{% endblock %}


{% block scripts %}
<script type="text/javascript">
    $(function(){


    });
</script>

{% endblock %}
